ImageDataContentHandler (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.attachment, class: ImageDataContentHandler

Package org.apache.cxf.attachment

# Class ImageDataContentHandler

java.lang.Object
org.apache.cxf.attachment.ImageDataContentHandler

All Implemented Interfaces:
  `jakarta.activation.DataContentHandler`

public class ImageDataContentHandler extends Object implements jakarta.activation.DataContentHandler

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ImageDataContentHandler()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getContent(jakarta.activation.DataSource ds)`
  `Object`
  `getTransferData(jakarta.activation.ActivationDataFlavor df, jakarta.activation.DataSource ds)`
  `jakarta.activation.ActivationDataFlavor[]`
  `getTransferDataFlavors()`
  `void`
  `writeTo(Object obj, String mimeType, OutputStream os)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ImageDataContentHandler

    public ImageDataContentHandler()

- ## Method Details

  - ### getContent

    public Object getContent(jakarta.activation.DataSource ds) throws IOException
    Specified by:
      `getContent` in interface `jakarta.activation.DataContentHandler`
    Throws:
      `IOException`

  - ### getTransferData

    public Object getTransferData(jakarta.activation.ActivationDataFlavor df, jakarta.activation.DataSource ds) throws IOException
    Specified by:
      `getTransferData` in interface `jakarta.activation.DataContentHandler`
    Throws:
      `IOException`

  - ### getTransferDataFlavors

    public jakarta.activation.ActivationDataFlavor[] getTransferDataFlavors()
    Specified by:
      `getTransferDataFlavors` in interface `jakarta.activation.DataContentHandler`

  - ### writeTo

    public void writeTo(Object obj, String mimeType, OutputStream os) throws IOException
    Specified by:
      `writeTo` in interface `jakarta.activation.DataContentHandler`
    Throws:
      `IOException`